/*
 * Copyright(C) OASIS(R) 2005,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 */
package org.oasisopen.sdo.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.oasisopen.sdo.helper.TypeHelper;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.PACKAGE)
public @interface SdoDataType {

   String name();
   String baseType() default TypeHelper.SDO_URI+"#String";
   Class<?> instanceClass() default java.lang.String.class;
   String[] aliasNames() default {};

}